data valve_replacement;
input age nyha$ duration censored @@;
cards;
56 II 2.7 1  28 III 2.8 0  68 I 0.7 1
54 III 2.9 0  65 IV 0.2 0  68 III 0.9 1
59 II 3.0 1  67 III 0.6 0  38 I 3.5  1
52 I 2.0 0  67 III 0.8 0  62 II 0.1 0
52 II 4.0 0  72 II 0.3 1  59 I 1.3 1
54 III 4.7 1  46 II 1.8 0  62 IV 0.2 0
73 II 0.3 1  47 I 4.6 1
;
/*fitting Cox model with class statement*/
proc phreg data=valve_replacement outest=betas;
class nyha(ref='I');
 model duration*censored(1)=age nyha;
baseline out=outdata survival=s0;
run;

proc print data=betas;
run;

proc print data=outdata;
run;

/*macro for computing prediction*/
%macro prediction (age, nyhaII, nyhaIII, nyhaIV, 
duration);
    title "Prediction for age=&age, nyhaII=&nyhaII,
nyhaIII=&nyhaIII, nyhaIV=&nyhaIV, duration=&duration:";

  proc sql;
   select s0**exp(betas.age*(&age-outdata.age)
+nyhaII*&nyhaII+nyhaIII*&nyhaIII+nyhaIV*&nyhaIV) as 
predicted_value
    from betas, outdata
 having duration=(select
max(duration) from outdata where duration < &duration);
 quit;
%mend;

%prediction(56,1,0,0,2.7);


