data exp;
input duration status @@;
cards;
1 1 1 1 2 1 3 0 3 1 5 1 
8 1 10 1 16 0 18 1
;

/*fitting exponential survival curve*/
proc lifereg;
model duration*status(0)=/
dist=exponential;
run;

/*plotting exponential survival curve
overlaid with KM curve*/
proc lifetest method=km outsurv=KMcurve;
time duration*status(0);
run;

proc print data=KMcurve;
run;

data expcurve;
set exp;
expcurve=exp(-0.1194*duration);
run;

data initial;
duration=0;
expcurve=1;
run;

data combined;
set KMcurve initial expcurve;
run;

ods graphics on;
proc sgplot data=combined;
series x=duration 
y=expcurve/lineattrs=(color=blue);
step x=duration 
y=survival/lineattrs=(color=green);
run;



