data weibull;
input duration status @@;
cards;
24 0 16 0 8 1 19 1 10 1 8 0 5 1 
17 1 20 1 10 1
;
/*fitting Weibull survival curve*/
proc lifereg data=weibull;
model duration*status(0)=/dist=weibull;
run;

/*plotting Weibull survival curve
overlaid with KM curve*/
proc lifetest data=weibull method=km outsurv=KMcurve;
time duration*status(0);
run;

data WEIBULLcurve;
set weibull;
weibullcurve=exp(-0.0015*duration**2.2451);
run;

data initial;
duration=0;
weibullcurve=1;
run;

data weibullcurve;
set weibullcurve initial;
run;

proc sort data=WEIBULLcurve;
by duration;
run;

data combined;
set KMcurve WEIBULLcurve;
run;

ods graphics on;
proc sgplot data=combined;
series x=duration y=weibullcurve/lineattrs=(color=blue);
step x=duration y=survival/lineattrs=(color=cyan);;
run;
