data osteoporosis;
input ID age calcium history mos3 mos9 mos12 mos18 @@;
cards;
1  76 0 1 1 1 1 1  2  57 1 1 1 1 0 0  3  58 0 1 1 1 1 0
4  62 1 0 1 0 0 0  5  60 1 0 0 0 0 0  6  58 0 1 1 0 1 1
7  52 1 0 0 1 0 0  8  74 0 1 1 0 1 0  9  51 0 0 0 1 0 0
10 56 1 0 0 1 0 0  11 75 0 1 1 1 1 1  12 63 1 0 1 0 0 0
13 67 1 1 0 1 0 0  14 68 0 0 1 1 0 0  15 56 1 0 1 0 1 0
16 62 1 0 1 0 1 1  17 60 1 1 0 0 0 0  18 61 1 1 1 1 0 0 
19 54 1 0 1 0 0 0  20 53 0 0 1 1 0 0
;

data longform;
set osteoporosis;
  array t[4] (3 9 12 18);
 array d[4] mos3 mos9 mos12 mos18;
   do visit=1 to 4;
      time=t[visit];
     disease=d[visit];
	 output;
   end;
keep ID age calcium history time disease;
run;

proc print;
run;

proc glimmix data=longform;
class calcium(ref="1") history(ref="0");
model disease(event="1")=age calcium history time/solution
dist=binary link=logit;
random intercept /subject=ID type=un;
covtest/wald;
run;

proc genmod;
class calcium(ref="1") history(ref="0");
model disease(event="1")=age calcium history time/
dist=binomial link=logit;
run;
