data glioma;
input ID group size0 size3 size6 size12 size18 size24 @@;
cards;
1  1 3.1 3.0 2.7 2.3 2.1 1.8  2  1 3.3 2.9 2.4 1.8 1.7 0.2
3  1 2.9 2.4 2.3 2.1 2.1 1.6  4  1 3.2 2.7 2.7 2.2 2.1 1.3
5  1 3.5 3.2 3.2 3.2 3.1 0.8  6  1 3.6 3.5 1.7 1.6 1.5 1.1
7  1 2.2 2.0 2.7 2.4 2.4 1.6  8  1 3.8 3.7 3.0 2.8 2.6 1.0
9  1 3.4 3.1 3.3 4.3 4.1 3.6  10 1 4.6 4.4 2.6 2.5 2.4 1.5
11 1 2.7 2.6 3.1 3.1 3.0 1.6  12 1 4.9 4.7 2.9 2.9 2.8 2.6
13 2 4.0 3.5 3.1 2.0 1.1 1.0  14 2 3.8 3.3 2.7 1.6 1.2 0.6
15 2 3.7 3.2 2.9 2.4 1.5 1.4  16 2 3.2 3.1 2.9 1.8 0.6 0.0
17 2 2.5 2.1 1.5 0.3 0.1 0.0  18 2 2.9 2.2 3.1 1.9 1.7 1.5
19 2 2.8 2.6 2.8 2.6 2.6 2.3  20 2 3.1 2.7 2.3 2.0 1.9 1.3
21 2 4.3 4.2 2.4 2.3 1.2 0.4  22 2 2.9 2.4 2.1 2.1 1.7 1.7
23 2 4.0 3.4 2.3 1.4 0.9 0.0  24 2 2.5 2.4 2.0 1.0 0.3 0.0
;
/*CREATING LONGFORM DATA SET */
data longform;
set glioma;
 array s[*] size0 size3 size6 size12 size18 size24;
  array t[*] t0-t5 (0 3 6 12 18 24);
   do visit=1 to dim(s);
       time=t[visit];
       tumorsize=s[visit];
           output;
    end;
keep ID group time tumorsize;
run;

proc print data=glioma;
run;

proc print data=longform;
run;

/*PLOTTING INDIVIDUAL RESPONSE PROFILES*/
symbol1 interpol=join value=triangle color=magenta repeat=12; 
symbol2 interpol=join value=dot color=dodgerblue repeat=12;

proc gplot data=longform;
plot tumorsize*time=ID;
run;

/*FITTING RANDOM INTERCEPT MODEL*/
proc mixed data=longform method=ml covtest;
class group(ref='2');
 model tumorsize=group time/solution;
  random intercept time/subject=ID type=un;
run;

proc mixed data=longform method=reml covtest;
class group(ref='2');
 model tumorsize=group time/solution;
  random intercept time/subject=ID type=un;
run;
